package com.yc.ship.module.marketing.enums.common;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * 审核状态
 */
@RequiredArgsConstructor
@Getter
public enum AuditStateEnum implements IntArrayValuable {
    AUDITING(0, "审核中"),

    AUDIT_PASS(1, "审核通过"),

    AUDIT_REJECT(2, "审核驳回"),
    ;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(AuditStateEnum::getType).toArray();
    private final Integer type;
    private final String name;
    @Override
    public int[] array() {
        return ARRAYS;
    }
}
